この記事をシェアする

きちんとRailsは3.2.11にバージョンアップしましょうね!

アナウンスできるのもすごいけど、サクッとバージョンあげられるRailsおよびRuby界隈のテクノロジーは便利だなぁと感心する@HIROCASTERでございませう。

1/8の時点で、脆弱性があるため直ちにバージョンアップすべきとアナウンスされたRailsのバージョンアップですが、Herokuはすごいなぁ。と思うことがありました。

1/11の時点で「[notice] ACTION REQUIRED: Rails Security Vulnerability」というメールがHerokuを利用しているユーザーに送られました。内容は使用しているAppのRailsバージョンが記載されており、直ちにバージョンを上げてくださいね。というもの。

バージョンアップ自体はとても簡単。Gemfileを1行書き換えるだけ。

gem 'rails, '3.2.11'

として

$ bundle update rails

とするだけ。

とりあえず、動かしているコードはすべてバージョンを上げましょう。

4797363827

Rails3レシピブック 190の技

高橋 征義, 松田 明, 諸橋 恭介

スポンサーリンク

この記事をシェアする

著者をフォローする

スポンサーリンク